# generated by datamodel-codegen:
#   filename:  https://opensource.ieee.org/2791-object/ieee-2791-schema/-/raw/master/parametric_domain.json
#   timestamp: 2022-09-13T23:51:53+00:00

from __future__ import annotations

from typing import List

from pydantic import (
    BaseModel,
    Extra,
    Field,
)


class ParametricDomainItem(BaseModel):
    class Config:
        extra = Extra.forbid

    param: str = Field(
        ..., description="Specific variables for the computational workflow", example=["seed"], title="param"
    )
    value: str = Field(
        ...,
        description="Specific (non-default) parameter values for the computational workflow",
        example=["14"],
        title="value",
    )
    step: str = Field(
        ...,
        description="Refers to the specific step of the workflow relevant to the parameters specified in 'param' and 'value'",
        example=["1"],
        regex="^(.*)$",
        title="step",
    )


class ParametricDomain(BaseModel):
    __root__: List[ParametricDomainItem] = Field(
        ...,
        description="This represents the list of NON-default parameters customizing the computational flow which can affect the output of the calculations. These fields can be custom to each kind of analysis and are tied to a particular pipeline implementation",
        title="Parametric Domain",
    )
